> ## Documentation Index
> Fetch the complete documentation index at: https://docs.specterops.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get failed workflows

> Get the set of failed enrichment workflows



## OpenAPI

````yaml /nemesis-docs/docs/nemesis-api.json get /workflows/failed
openapi: 3.1.0
info:
  title: Enrichment API
  description: API for file enrichment services
  version: 0.1.0
servers:
  - url: /api
security: []
tags:
  - name: files
    description: File management operations
  - name: workflows
    description: Workflow management operations
  - name: enrichments
    description: Enrichment management operations
  - name: system
    description: System and health check endpoints
paths:
  /workflows/failed:
    get:
      tags:
        - workflows
      summary: Get failed workflows
      description: Get the set of failed enrichment workflows
      operationId: get_failed_workflows_failed_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailedWorkflowsResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    FailedWorkflowsResponse:
      properties:
        failed_count:
          type: integer
          title: Failed Count
        workflows:
          items:
            $ref: '#/components/schemas/ActiveWorkflowDetail'
          type: array
          title: Workflows
          default: []
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - failed_count
        - timestamp
      title: FailedWorkflowsResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message details
      type: object
      required:
        - detail
      title: ErrorResponse
    ActiveWorkflowDetail:
      properties:
        id:
          type: string
          title: Id
        status:
          type: string
          title: Status
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Object Id
        timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Timestamp
        runtime_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Runtime Seconds
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - id
        - status
      title: ActiveWorkflowDetail

````